Subject: [bug#50838] Update sbcl

From: Guillaume Le Vaillant <[email-masked]>
Date: Mon, 27 Sep 2021 12:32:53 +0000

Hi,

Some time ago when Pierre Neidhardt tried to update SBCL to 2.1.7, some
packages failed to compile (because of changes in the internals of SBCL
I think). See commits b07581d6e24bf5fa4676bcebaba75315bbbb01e6 and
7c6ace67bb8ef421965e3f1cc1a02caf54c813f5.

Did you try building all the sbcl-* packages with SBCL 2.1.8 to check if
everything works fine?
If some packages are failing, we will have to update them as well
(upstreams probably have commits or PRs to fix compatibility with newer
SBCL versions).